package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.qrcode.TemporaryQrcode;

/**
 * 临时二维码
 * @author 穆再兴
 * Create Date:2016年7月5日
 */
public interface TemporaryQrcodeMapper {
	
	/**
	 * 根据用户 openid 查询临时二维码
	 * @param openid
	 * @return
	 */
	public TemporaryQrcode getTempQrcodeByOpenId(String openid);
	
	/**
	 * 根据用户 id 查询临时二维码
	 * @param openid
	 * @return
	 */
	public TemporaryQrcode getTempQrcodeById(Integer id);
	
	
	/**
	 * 添加一条 TemporaryQrcode 记录
	 * @param temporaryQrcode
	 * @return
	 */
	public Integer insertTempQrcode(TemporaryQrcode temporaryQrcode);
	
	/**
	 * 根据用户 openid 修改二维码url
	 * @return
	 */
	public Integer updateTempQrcodeURLByOpenid(TemporaryQrcode temporaryQrcode);
	

}
